Package jxl.demo

# Class CSV

java.lang.Object
jxl.demo.CSV

public class CSV extends Object
Simple demo class which uses the api to present the contents of an excel 97 spreadsheet as comma separated values, using a workbook and output stream of your choice

## Constructor Summary

Constructors
Constructor
Description
`CSV(Workbook w, OutputStream out, String encoding, boolean hide)`
Constructor

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSV

public CSV(Workbook w, OutputStream out, String encoding, boolean hide) throws IOException
Constructor

Parameters:
  `w` - The workbook to interrogate
  `out` - The output stream to which the CSV values are written
  `encoding` - The encoding used by the output stream. Null or unrecognized values cause the encoding to default to UTF8
  `hide` - Suppresses hidden cells
Throws:
  `IOException`